Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batch
  • Home
    • About
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • AutoCollec API
      • Example Workflow
      • Batches
        • GetBatchById
        • GetBatchesByOrganization
      • Invoice
        • CreateInvoices
        • GetInvoicesByOrganization
        • GetInvoiceById
      • Payment
        • CreatePayments
      • Collections
        • AcceptDebtCollectionList
        • AcceptDebtCollectionList
        • RejectDebtCollectionList
        • PauseCase
        • RejectDebtCollectionList
        • WithdrawCase
        • PauseCase
        • ResumeCase
        • WithdrawCase
        • ResumeCase
      • Settlement
        • GetSettlement on Id
        • GetSettlements
        • GetSettlements
        • GetSettlement on Id
    • AutoCollect API (Legacy)
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
          GET
        • /webapi/api/Batch
          POST
      • Ping
        • /webapi/api/Ping
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batch

/webapi/api/Batch

GET
/webapi/api/Batch

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Success
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/webapi/api/Batch?senderid&creditorid&customerref&ledgerref&includeclosed&lastsettlementid&remittancedate&languagecode' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "batchid": "string",
    "offline": true,
    "creditor": [
        {
            "idnumber": "string",
            "parentidnumber": "string",
            "onlydebtcollection": true,
            "vattype": 0,
            "fullname": "string",
            "street": "string",
            "city": "string",
            "zipcode": "string",
            "countrycode": "string",
            "bankaccountno": "string",
            "contact": {
                "fullname": "string",
                "workphone": "string",
                "email": "string",
                "isinvoicequery": true,
                "isremittancereport": true,
                "isorderconfirmation": true,
                "iscollectionlist": true,
                "isweb": true
            },
            "casehandler": {
                "fullname": "string",
                "workphone": "string",
                "email": "string",
                "isinvoicequery": true,
                "isremittancereport": true,
                "isorderconfirmation": true,
                "iscollectionlist": true,
                "isweb": true
            },
            "sourceid": 0,
            "reminderflow": 0,
            "debtcollectiontransfer": 0,
            "invoicearchive": 0,
            "hasforeigndebtors": true,
            "hasforeigncurrency": true,
            "disabled": true,
            "lastsettlementid": "string"
        }
    ],
    "case": [
        {
            "customerref": "string",
            "customername": "string",
            "ledgerref": "string",
            "referencenumber": "string",
            "casenumber": "string",
            "currencycode": "string",
            "regdate": "2019-08-24T14:15:22.123Z",
            "closuredate": "2019-08-24T14:15:22.123Z",
            "isdebtcollection": true,
            "billdate": "2019-08-24T14:15:22.123Z",
            "duedate": "2019-08-24T14:15:22.123Z",
            "originalsum": 0,
            "paidsum": 0,
            "remainingsum": 0,
            "originalprincipal": 0,
            "paidprincipal": 0,
            "remainingprincipal": 0,
            "originalfee": 0,
            "paidfee": 0,
            "remainingfee": 0,
            "originalinterest": 0,
            "paidinterest": 0,
            "remaininginterest": 0,
            "service_description": "string",
            "status_statuscode": "string",
            "reminders": 0,
            "debtcollectionlist": 0,
            "history": [
                {
                    "type": 1,
                    "loggedat": "2019-08-24T14:15:22.123Z",
                    "message": "string",
                    "subject": "string",
                    "conversationid": "string",
                    "attachmentid": "string"
                }
            ],
            "paymentDetails": {
                "paymentValue": 0,
                "currency": "string",
                "kid": "string",
                "bankAccount": "string",
                "dueDate": "2019-08-24T14:15:22.123Z"
            }
        }
    ],
    "settlement": [
        {
            "caseNumber": "string",
            "collectionType": "REMINDER",
            "currency": "string",
            "customerReference": "string",
            "exchangeRate": 0,
            "feeDistribution": {
                "collector": 0,
                "creditor": 0
            },
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "interestDistribution": {
                "collector": 0,
                "creditor": 0
            },
            "invoice": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "invoiceNumber": "string",
                "uniqueSourceInvoiceId": "string",
                "collectionCaseNumber": "string",
                "type": "REMINDER",
                "status": "OPEN",
                "closureDate": "2019-08-24T14:15:22.123Z"
            },
            "ledgerRef": "string",
            "organization": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "organizationNumber": "string",
                "name": "string"
            },
            "paymentAmount": 0,
            "principalDistribution": {
                "collector": 0,
                "creditor": 0
            },
            "remittanceDate": "2019-08-24T14:15:22.123Z",
            "settlementDate": "2019-08-24T14:15:22.123Z",
            "settlementNumber": 0,
            "settlementType": "COLLECTOR_PAYMENT",
            "vat": 0
        }
    ]
}
Modified at 2026-03-12 13:36:35
Previous
/webapi/api/Attachment
Next
/webapi/api/Batch
Built with